<?php
/* ***************************************************************************

    The Mneme Project.  A website framework in PHP.
    Copyright (C) 2009  Eric Chadbourne
    support@newmag.org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************** */



// let's keep linksform within punbb
define('PUN_ROOT', './');
require PUN_ROOT.'include/common.php';
require PUN_ROOT.'header.php';

// comment out after debugging
//error_reporting(E_ALL);

$name=mysql_real_escape_string($_POST['name']); 
$link=mysql_real_escape_string($_POST['link']);
$category=mysql_real_escape_string($_POST['category']); 
$description=mysql_real_escape_string($_POST['description']); 
$linkback=PUN_ROOT.'linksplus.php';

// only members can submit
if($pun_user['is_guest']) {
	redirect('login.php', 'Redirecting to login page...');
		require PUN_ROOT.'footer.php';
		exit();
}

// is the name filled in?
if (empty($name)) {
   	redirect('linksplus.php', 'ERROR = NAME.  Redirecting...');
		require PUN_ROOT.'footer.php';
		exit();
}

// is this an http link?
if (strpos($link, "htt") === false) {
   	redirect('linksplus.php', 'ERROR = URL.  Redirecting...');
		require PUN_ROOT.'footer.php';
		exit();
}

// is the category filled in?
if (empty($category)) {
   	redirect('linksplus.php', 'ERROR = CATEGORY.  Redirecting...');
		require PUN_ROOT.'footer.php';
		exit();
}

// is the description filled in?
if (empty($description)) {
   	redirect('linksplus.php', 'ERROR = DESCRIPTION.  Redirecting...');
		require PUN_ROOT.'footer.php';
		exit();
}

// is the url already in the database?
$table = $db->prefix.'linksplus';
$result = $db->query("SELECT link FROM $table WHERE (link = '$link')");
$result1 = $db->result($result);
if ($result1 == $link) {
   	redirect('linksplus.php', 'ERROR = LINK ALREADY EXISTS IN DATABASE.  Redirecting...');
		require PUN_ROOT.'footer.php';
		exit();
}

// who's the admin?
$table = $db->prefix.'users';
$result = $db->query("SELECT email FROM $table WHERE (group_id = '1')");
$emailadmin = $db->result($result);

// let the admin know a user has submitted a link
$to      = $emailadmin;
$subject = 'LinksPlus Notification';
$message = 'A link has been added to your website.  Name:  '.$name.', Link:  '.$link.', Category  '.$category.',  Description:  '.$description.'.';
$headers = 'From: '.$emailadmin.'' . "\r\n" .
    'Reply-To: '.$emailadmin.'' . "\r\n" .
    'X-Mailer: PHP/' . phpversion();

mail($to, $subject, $message, $headers);


if (isset($name)) {
// insert a row into the table
$table = $db->prefix.'linksplus';
$sql = "INSERT INTO $table";
$sql .= " ( name, link, category, description, date_sub ) VALUES ";
$sql .= " ( '$name', '$link', '$category', '$description', NOW() )";

if ( ! $db->query($sql) ) {
echo( $db->error." : oops : ".$db->errno );
}
else
echo " <p>Your information has been successfully added to the database.</p>
   		<a href=$linkback>Click here to return to the main page.</a>";

}


// let's keep linksform within punbb
$footer_style = 'index';
require PUN_ROOT.'footer.php';

?>
